package com.heyu.api.baidu.handle.medical;


import com.heyu.api.baidu.BaiduBaseHandle;
import com.heyu.api.baidu.request.medical.BMedicalStatementRequest;
import com.heyu.api.baidu.response.medical.BMedicalStatementResp;
import org.springframework.stereotype.Component;

/**
 * https://console.bce.baidu.com/support/?_=1740575657628&timestamp=1740581091562#/api?product=AI&project=%E6%96%87%E5%AD%97%E8%AF%86%E5%88%AB&parent=%E5%8C%BB%E7%96%97%E7%A5%A8%E6%8D%AEOCR&api=rest%2F2.0%2Focr%2Fv1%2Fmedical_statement&method=post
 * <p>
 * 医疗费用结算单识别
 */
@Component
public class BMedicalStatementHandle extends BaiduBaseHandle<BMedicalStatementRequest, BMedicalStatementResp> {
    @Override
    public String getUri() {
        return "/rest/2.0/ocr/v1/medical_statement";
    }

    @Override
    public String check(BMedicalStatementRequest bMedicalStatementRequest) {

        return checkSimpleProbabilityLocation(bMedicalStatementRequest);
    }

    @Override
    public String getContent(BMedicalStatementRequest bMedicalStatementRequest) {
        return getSimpleProbabilityLocationContent(bMedicalStatementRequest).toString();
    }
}
